Inactive [DEV] SpoutPlugin - Unleash the flow of endless possibilities [1.0-1.3.2]

Discussion in 'Inactive/Unsupported Plugins' started by SpoutDev, Aug 1, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    SpoutDev

    In order to centralize support of our legacy projects, we will no longer be providing support on Bukkit. Please use www.spout.org for support with our projects going forward.
     
  2. Offline

    domingo15

    Hey guys i'm having this issues.
    I don't know who to contact but just contacted Spout because thats what it pretty much says :p


    Thanks.
     
  3. Offline

    Wulfspider

    It doesn't need to be a Spout plugin, there have been other plugins made by others that change the world height, but none of them are working right now that I know of.

    What build of MultiVerse and SpoutPlugin are you using? I thought that the issue was already fixed.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  4. Offline

    ACStache

    I personally saw it on the 1.1 RB of Spout (721) and the 1.0 RB of MV (2.2) when I first put Spout back on the server, but I thought nothing of it since I run a personal server and because MV wasn't yet updated. I'll post back on that if it still occurs in MV's 1.1 build
     
  5. Offline

    domingo15

    I'm currently using the AB of Multiverse-Core 2.2, but like what ACStache said ill look into it on the 1.1 for MV.
    Thanks!

    EDIT: Awesome its fixed with the dev build 2.3
     
  6. Offline

    Epics

    Randomly get a ton of errors.
    Code:
    2012-01-27 05:09:20 [SEVERE] java.lang.reflect.InvocationTargetException
    2012-01-27 05:09:20 [SEVERE] at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    2012-01-27 05:09:20 [SEVERE] at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    2012-01-27 05:09:20 [SEVERE] at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    2012-01-27 05:09:20 [SEVERE] at java.lang.reflect.Method.invoke(Method.java:597)
    2012-01-27 05:09:20 [SEVERE] at de.beimax.simplespleef.command.SimpleSpleefCommandExecutor.onCommand(SimpleSpleefCommandExecutor.java:136)
    2012-01-27 05:09:20 [SEVERE] at org.bukkit.command.PluginCommand.execute(PluginCommand.java:40)
    2012-01-27 05:09:20 [SEVERE] at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:168)
    2012-01-27 05:09:20 [SEVERE] at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:386)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.NetServerHandler.handleCommand(NetServerHandler.java:777)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.NetServerHandler.chat(NetServerHandler.java:737)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:725)
    2012-01-27 05:09:20 [SEVERE] at org.getspout.spout.SpoutNetServerHandler.a(SpoutNetServerHandler.java:178)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.Packet3Chat.handle(Packet3Chat.java:33)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.NetworkManager.b(NetworkManager.java:226)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.NetServerHandler.a(NetServerHandler.java:100)
    2012-01-27 05:09:20 [SEVERE] at org.getspout.spout.SpoutNetServerHandler.a(SpoutNetServerHandler.java:587)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.NetworkListenThread.a(NetworkListenThread.java:78)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.MinecraftServer.w(MinecraftServer.java:536)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:434)
    2012-01-27 05:09:20 [SEVERE] at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
    2012-01-27 05:09:20 [SEVERE] Caused by: java.util.ConcurrentModificationException
    2012-01-27 05:09:20 [SEVERE] at java.util.HashMap$HashIterator.nextEntry(HashMap.java:793)
    2012-01-27 05:09:20 [SEVERE] at java.util.HashMap$EntryIterator.next(HashMap.java:834)
    2012-01-27 05:09:20 [SEVERE] at java.util.HashMap$EntryIterator.next(HashMap.java:832)
    2012-01-27 05:09:20 [SEVERE] at de.beimax.simplespleef.game.OriginalPositionKeeper.pruneOriginalLocations(OriginalPositionKeeper.java:111)
    2012-01-27 05:09:20 [SEVERE] at de.beimax.simplespleef.game.OriginalPositionKeeper.keepPosition(OriginalPositionKeeper.java:50)
    2012-01-27 05:09:20 [SEVERE] at de.beimax.simplespleef.game.GameStandard.join(GameStandard.java:307)
    2012-01-27 05:09:20 [SEVERE] at de.beimax.simplespleef.game.GameHandler.join(GameHandler.java:348)
    2012-01-27 05:09:20 [SEVERE] at de.beimax.simplespleef.command.SimpleSpleefCommandExecutor.joinCommand(SimpleSpleefCommandExecutor.java:205)
    2012-01-27 05:09:20 [SEVERE] ... 20 more
    Code:
    2012-01-27 20:17:11 [WARNING] plugins/Essentials/motd.txt (Too many open files)
    2012-01-27 20:17:11 [SEVERE] net.minecraft.server.WorldConlictException: Failed to check session lock, aborting
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.WorldNBTStorage.checkSession(WorldNBTStorage.java:74)
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.World.l(World.java:2653)
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.ChunkRegionLoader.a(SourceFile:78)
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.ChunkProviderServer.saveChunk(ChunkProviderServer.java:163)
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.ChunkProviderServer.unloadChunks(ChunkProviderServer.java:247)
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.World.doTick(World.java:1728)
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.MinecraftServer.w(MinecraftServer.java:523)
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:434)
    2012-01-27 20:17:11 [SEVERE] at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
    2012-01-27 20:17:11 [SEVERE] net.minecraft.server.WorldConlictException: Failed to check session lock, aborting
    Code:
    2012-01-22 22:28:32 [SEVERE] java.net.SocketException: Too many open files
    2012-01-22 22:28:32 [SEVERE] at java.net.PlainSocketImpl.socketAccept(Native Method)
    2012-01-22 22:28:32 [SEVERE] at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:408)
    2012-01-22 22:28:32 [SEVERE] at java.net.ServerSocket.implAccept(ServerSocket.java:462)
    2012-01-22 22:28:32 [SEVERE] at java.net.ServerSocket.accept(ServerSocket.java:430)
    2012-01-22 22:28:32 [SEVERE] at net.minecraft.server.NetworkAcceptThread.run(SourceFile:35)
     
  7. Offline

    TheGildur

    I am receiving similar errors as above. Running the latest recommended build of bukkit [1818] and Spout [#721] is printing following messages - only when I /reload (not a single error when I start the server via bat or /stop):

    Code:
    2012-01-28 14:33:14 [INFO] [Spout] Unloading Spout v721.
    2012-01-28 14:33:14 [INFO] Spout 721 has been disabled
    2012-01-28 14:33:14 [INFO] [Spout] Loading Spout v721.
    2012-01-28 14:33:14 [SEVERE] java.lang.reflect.InvocationTargetException
    2012-01-28 14:33:14 [SEVERE]    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    2012-01-28 14:33:14 [SEVERE]    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    2012-01-28 14:33:14 [SEVERE]    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    2012-01-28 14:33:14 [SEVERE]    at java.lang.reflect.Method.invoke(Unknown Source)
    2012-01-28 14:33:14 [SEVERE]    at org.getspout.spout.packet.CustomPacket.addClassMapping(CustomPacket.java:140)
    2012-01-28 14:33:14 [SEVERE]    at org.getspout.spout.Spout.onEnable(Spout.java:250)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:231)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:1057)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:379)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:191)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:174)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.reload(CraftServer.java:443)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.Bukkit.reload(Bukkit.java:188)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:22)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:168)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:386)
    2012-01-28 14:33:14 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:382)
    2012-01-28 14:33:14 [SEVERE]    at net.minecraft.server.MinecraftServer.b(MinecraftServer.java:573)
    2012-01-28 14:33:14 [SEVERE]    at net.minecraft.server.MinecraftServer.w(MinecraftServer.java:550)
    2012-01-28 14:33:14 [SEVERE]    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:434)
    2012-01-28 14:33:14 [SEVERE]    at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
    2012-01-28 14:33:14 [SEVERE] Caused by: java.lang.IllegalArgumentException: Duplicate packet id:195
    2012-01-28 14:33:14 [SEVERE]    at net.minecraft.server.Packet.a(Packet.java:25)
    2012-01-28 14:33:14 [SEVERE]    ... 21 more
    2012-01-28 14:33:15 [INFO] [Spout] Spout 721 has been initialized
    To make sure there are no problems with other plugins I removed all plugins but the spoutplugin-dev-SNAPSHOT.jar.

    Greetings,

    TheGildur
     
  8. Offline

    dangerismassive

    Somehow I cant run spoutcraft launcher, when I run it nothing happens please help me :/ (my antivirus is closed and i use windows 7 64bit for the info)
     
  9. Offline

    V10lator

    I use a 64 bit system without 32 bit compatibility libs, but spoutcraft don't like that as it provides 32 bit libs only:
    Code:
    [14:51:33] [SEVERE]Exception in thread "Minecraft main thread" 
    [14:51:33] [SEVERE]java.lang.UnsatisfiedLinkError: /home/taxi/.spoutcraft/bin/natives/liblwjgl.so: /home/taxi/.spoutcraft/bin/natives/liblwjgl.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)
    [14:51:33] [SEVERE]at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    [14:51:33] [SEVERE]at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1928)
    [14:51:33] [SEVERE]at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1825)
    [14:51:33] [SEVERE]at java.lang.Runtime.load0(Runtime.java:792)
    [14:51:33] [SEVERE]at java.lang.System.load(System.java:1059)
    [14:51:33] [SEVERE]at org.lwjgl.Sys$1.run(Sys.java:70)
    [14:51:33] [SEVERE]at java.security.AccessController.doPrivileged(Native Method)
    [14:51:33] [SEVERE]at org.lwjgl.Sys.doLoadLibrary(Sys.java:66)
    [14:51:33] [SEVERE]at org.lwjgl.Sys.loadLibrary(Sys.java:82)
    [14:51:33] [SEVERE]at org.lwjgl.Sys.<clinit>(Sys.java:99)
    [14:51:33] [SEVERE]at org.lwjgl.opengl.Display.<clinit>(Display.java:130)
    [14:51:33] [SEVERE]at net.minecraft.client.Minecraft.a(Minecraft.java:165)
    [14:51:33] [SEVERE]at net.minecraft.client.Minecraft.run(Minecraft.java:573)
    [14:51:33] [SEVERE]at java.lang.Thread.run(Thread.java:722)
    [14:52:34] [INFO]Exiting Spoutcraft
     
  10. Offline

    Azzarrel

    i can run the lauchner, but after closing and restarting my settings are gone.
    is the btw any possibility to save the window-size ?
     
  11. Offline

    TheGildur

    Dont mind my question anymore, a friend just told me that you've completely abandoned the reload-function.
     
  12. Offline

    Wulfspider

    We do not support the reload command is it causes lots of problems. See http://spout.in/reload

    The first is a bug with the launcher itself. Hopefully we'll have it fixed soon. alta189 has been working on fixing a few issues with the launcher in his overhaul of it.

    Window size could be possible, but not sure about it right now. I believe it's a requested feature on our issue tracker.

    We use the same LWJGL as vanilla Minecraft does, unless you changed to use the latest LWJGL or something. It does look like it's trying to use the wrong ones for your arch due your architecture not being normal or something. You may have to copy arch specific ones to overwrite those files or fix the underlying issue.

    de.beimax.simplespleef is causing the first issue and the rest are caused because you need to raise the open files limit for your OS. Google it on how to do it for your specific Linux distro.

    What security software/antivirus program are you using? If you run anything AVG, then it either needs to have exceptions added for Spoutcraft and all our domains, disabled, or uninstalled.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  13. Offline

    V10lator

    No change with default or newest LWJGL libs, but I clearly see 64 libs in .spoutcraft/bin/natives:
    Code:
    $ ls ~/.spoutcraft/bin/natives
    libjinput-linux.so    liblwjgl.so    libopenal.so
    libjinput-linux64.so  liblwjgl64.so  libopenal64.so
    So it seems that Spoutcraft doesn't check the architecture and tries to load the 32 bit libs in any case.
     
  14. Offline

    Epics

    Thanks.
     
  15. Offline

    pinpanxxi

    hey i'm new to this cool plugin but would you give me the link of the new bukkit spout plugin for server. the thing is that i try to log in to my server with this plugin but it won't work . i try to log in to other servers but it dosn't work ether just say outdated server .i'm using the latest 482 spout and the spoutcraft.jar from spout.org. plzzz give me the correct link or file for my problem
     
  16. Offline

    ibab

    I believe there is an issue with Spout build 1096.
    When I updated my Spout Client to 1096 and tried connecting to my server, it crashed immediately giving this error.
    http://pastebin.com/8yDxwuRx

    The server was unusable. After restarting it several times and testing it even without Spout, the server kept crashing.
    After I went back to Spout Client build 1094, I was able to connect the server just fine.
     
  17. Offline

    BoorMachine

    is there a smaller version of the spoutplugin.jar? because my server provider can only upload up to 2mb.
    Please contact me.
     
  18. Offline

    Wulfspider

    There are typically no compact versions of the jar due to leaving all the lib files in there for developers to use.

    However, you can test/try this minimized version that has the unused classes stripped from it making it only 817kb.
    http://dl.dropbox.com/u/7446930/minimized/730/spoutplugin-dev-SNAPSHOT.jar

    http://spout.in/plugin for the recommended SpoutPlugin build. Make sure you are using CraftBukkit 1818 (1.1) or above.

    You need to select the development builds option on the launcher as well to use 1.1.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  19. Offline

    NEREVAR117

    My client won't connect to my personal server. It says that the client I'm using is outdated? I downloaded the version shown here. http://get.spout.org/

    Also, how do Addons work?
     
  20. Offline

    Wulfspider

    If you are running a 1.1 server, you need to select the development builds option on the launcher.

    Addons are being phased out for client plugins. They can be manually dropped into a folder for the client or each server you connect to will eventually be able to automatically send you everything that you need to play on there.
     
  21. Offline

    Undectectable

    Hi im on a mac and no matter what i do i cant get spoutcraft working. I have tried the .jar and that just comes up with an error saying it cant be opened i tried changing my java preferences ect. I have tried the .app and that does nothing doesnt even open anything. I downloaded the automatic updater please help :)
     
  22. Offline

    pinpanxxi

    i tried it still dosn't work and what launcher do i need to get
     
  23. Offline

    Wulfspider

    I don't know how it doesn't work if you won't tell us. The launcher you can get from http://spout.in/exe or http://spout.in/jar and you need to select the "Development Builds" option on the launcher options so that it uses 1.1.

    What version of Java are you using? Have you tried the launcher jar directly? http://spout.in/launcherdev

    I haven't seen this issue at all before, what build of CraftBukkit were/are you running? Are you also running SpoutPlugin?

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  24. Offline

    ibab

    I was running the 1.1-R1 and yes, I had SpoutPlugin on the server. Even without SpoutPlugin it occurred.
    As soon as I stopped using the Spout client version 1096 I was able to join the server without crashing it.
     
  25. Offline

    pinpanxxi

    thanks man i got it fixed now :D
     
  26. Offline

    Mikhos

    Show Spoiler
    [18:12:27] [INFO] ------------------------------------------
    [18:12:27] [INFO] Spoutcraft Launcher is starting....
    [18:12:27] [INFO] Spoutcraft Launcher Build: 265
    [18:12:29] [INFO] Using mirror: http://spouty.org/spoutcraft.yml
    [18:12:33] [SEVERE] Exception in thread "main"
    [18:12:33] [SEVERE] java.lang.RuntimeException: mapping values are not allowed here
    in "<reader>", line 7, column 9:
    hash: 1ed10c2fe589c8fb9c30835d95d91982
    ^

    [18:12:33] [SEVERE] at org.spoutcraft.launcher.gui.LoginForm.<init>(LoginForm.java:122)
    [18:12:33] [SEVERE] at org.spoutcraft.launcher.Main.main(Main.java:141)
    [18:12:33] [SEVERE] Caused by: mapping values are not allowed here
    in "<reader>", line 7, column 9:
    hash: 1ed10c2fe589c8fb9c30835d95d91982
    ^

    [18:12:33] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.fetchValue(ScannerImpl.java:733)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.fetchMoreTokens(ScannerImpl.java:305)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.checkToken(ScannerImpl.java:179)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl$ParseBlockMappingKey.produce(ParserImpl.java:563)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl.peekEvent(ParserImpl.java:161)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl.checkEvent(ParserImpl.java:146)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeMappingNode(Composer.java:230)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeNode(Composer.java:160)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeDocument(Composer.java:123)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.composer.Composer.getSingleNode(Composer.java:106)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.constructor.BaseConstructor.getSingleData(BaseConstructor.java:121)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.Yaml.loadFromReader(Yaml.java:480)
    [18:12:33] [SEVERE] at org.yaml.snakeyaml.Yaml.load(Yaml.java:423)
    [18:12:33] [SEVERE] at org.spoutcraft.launcher.config.YAMLProcessor.load(YAMLProcessor.java:105)
    [18:12:33] [SEVERE] at org.spoutcraft.launcher.SpoutcraftYML.updateSpoutcraftYMLCache(SpoutcraftYML.java:76)
    [18:12:33] [SEVERE] at org.spoutcraft.launcher.SpoutcraftYML.getSpoutcraftYML(SpoutcraftYML.java:42)
    [18:12:33] [SEVERE] at org.spoutcraft.launcher.SpoutcraftBuild.getSpoutcraftBuild(SpoutcraftBuild.java:104)
    [18:12:33] [SEVERE] at org.spoutcraft.launcher.gui.LoginForm.<init>(LoginForm.java:114)
    [18:12:33] [SEVERE] ... 1 more
    [18:13:24] [INFO] ------------------------------------------
    [18:13:24] [INFO] Spoutcraft Launcher is starting....
    [18:13:24] [INFO] Spoutcraft Launcher Build: 265
    [18:13:26] [INFO] Using mirror: http://mirror.precipicegames.com/spoutcraft.yml
    [18:13:26] [SEVERE] mapping values are not allowed here
    in "<reader>", line 7, column 9:
    hash: 1ed10c2fe589c8fb9c30835d95d91982
    ^

    [18:13:26] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.fetchValue(ScannerImpl.java:733)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.fetchMoreTokens(ScannerImpl.java:305)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.checkToken(ScannerImpl.java:179)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl$ParseBlockMappingKey.produce(ParserImpl.java:563)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl.peekEvent(ParserImpl.java:161)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl.checkEvent(ParserImpl.java:146)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeMappingNode(Composer.java:230)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeNode(Composer.java:160)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeDocument(Composer.java:123)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.composer.Composer.getSingleNode(Composer.java:106)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.constructor.BaseConstructor.getSingleData(BaseConstructor.java:121)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.Yaml.loadFromReader(Yaml.java:480)
    [18:13:26] [SEVERE] at org.yaml.snakeyaml.Yaml.load(Yaml.java:423)
    [18:13:26] [SEVERE] at org.spoutcraft.launcher.config.YAMLProcessor.load(YAMLProcessor.java:105)
    [18:13:26] [SEVERE] at org.spoutcraft.launcher.SpoutcraftYML.updateSpoutcraftYMLCache(SpoutcraftYML.java:62)
    [18:13:26] [SEVERE] at org.spoutcraft.launcher.SpoutcraftYML.getSpoutcraftYML(SpoutcraftYML.java:42)
    [18:13:26] [SEVERE] at org.spoutcraft.launcher.SpoutcraftBuild.getSpoutcraftBuild(SpoutcraftBuild.java:104)
    [18:13:26] [SEVERE] at org.spoutcraft.launcher.gui.LoginForm.<init>(LoginForm.java:114)
    [18:13:26] [SEVERE] at org.spoutcraft.launcher.Main.main(Main.java:141)
    [18:13:27] [SEVERE] Exception in thread "main"
    [18:13:27] [SEVERE] java.lang.RuntimeException: mapping values are not allowed here
    in "<reader>", line 7, column 9:
    hash: 1ed10c2fe589c8fb9c30835d95d91982
    ^

    [18:13:27] [SEVERE] at org.spoutcraft.launcher.gui.LoginForm.<init>(LoginForm.java:122)
    [18:13:27] [SEVERE] at org.spoutcraft.launcher.Main.main(Main.java:141)
    [18:13:27] [SEVERE] Caused by: mapping values are not allowed here
    in "<reader>", line 7, column 9:
    hash: 1ed10c2fe589c8fb9c30835d95d91982
    ^

    [18:13:27] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.fetchValue(ScannerImpl.java:733)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.fetchMoreTokens(ScannerImpl.java:305)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.scanner.ScannerImpl.checkToken(ScannerImpl.java:179)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl$ParseBlockMappingKey.produce(ParserImpl.java:563)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl.peekEvent(ParserImpl.java:161)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.parser.ParserImpl.checkEvent(ParserImpl.java:146)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeMappingNode(Composer.java:230)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeNode(Composer.java:160)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.composer.Composer.composeDocument(Composer.java:123)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.composer.Composer.getSingleNode(Composer.java:106)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.constructor.BaseConstructor.getSingleData(BaseConstructor.java:121)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.Yaml.loadFromReader(Yaml.java:480)
    [18:13:27] [SEVERE] at org.yaml.snakeyaml.Yaml.load(Yaml.java:423)
    [18:13:27] [SEVERE] at org.spoutcraft.launcher.config.YAMLProcessor.load(YAMLProcessor.java:105)
    [18:13:27] [SEVERE] at org.spoutcraft.launcher.SpoutcraftYML.updateSpoutcraftYMLCache(SpoutcraftYML.java:76)
    [18:13:27] [SEVERE] at org.spoutcraft.launcher.SpoutcraftYML.getSpoutcraftYML(SpoutcraftYML.java:42)
    [18:13:27] [SEVERE] at org.spoutcraft.launcher.SpoutcraftBuild.getSpoutcraftBuild(SpoutcraftBuild.java:104)
    [18:13:27] [SEVERE] at org.spoutcraft.launcher.gui.LoginForm.<init>(LoginForm.java:114)
    [18:13:27] [SEVERE] ... 1 more


    Got this when I tried updating to the dev build... clearing out my spoutcraft folder doesn't seem to help at all, so I'm a bit stuck.
     
  27. Offline

    Wulfspider

    I apologize, it was a typo on my part. It has been fixed. Give it a couple minutes to update.
    Thanks for the report. :)

    Check one message above your post. ;)
    It should be fixed now.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
    Mikhos likes this.
  28. Offline

    false_chicken

    Lol thanks I noticed right after I posted so I removed it.
     
  29. Offline

    Wulfspider

    Too late! I quoted it! :p
     
    Mikhos likes this.
  30. Offline

    Mikhos

    Everything's all set now, Wulfspider, but when I try to get the latest LWGCL drivers, I get a download interrupted error. This is remedied by unchecking the box, but thought I'd put the information out there just in case.
     
  31. Offline

    Wulfspider

    Known issue. ;)
    It is already fixed in what alta189 is working on for the experimental launcher.
     
    Mikhos likes this.
Thread Status:
Not open for further replies.

Share This Page